Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Set the Discord role that may run the bot's staff commands

PUT/api/admin/discord/staff-role
Request body
requiredapplication/json
roleIdstring | nullrequired
Show properties
Any of:
string
string
null
null
Responses
200

Success

staffRoleIdstring | nullrequired
Show properties
Any of:
string
string
null
null
401

Unauthorized

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Bodyapplication/json
Request
curl -X PUT '/api/admin/discord/staff-role' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "roleId": "string"
}'
Response
{
  "staffRoleId": "string"
}